#include <stdlib.h>
#include "gui.h"
#include "arguments.h"

#include <stdio.h>

int main(int argc, char **argv)
{
    if (argc > 1)
        settingsLoad(argv[1]);
    else
        settingsLoad("/etc/freerdp/freerdp.db");

    IupOpen(&argc, &argv);

    IupShowXY(guiStart(), IUP_CENTER, IUP_CENTER);
    IupMainLoop();

    IupClose();

    settingsFree();

    return EXIT_SUCCESS;
}
